| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
ADT
ADT.CircularList

# Method ADT.CircularList()->`[]=()

Method `[]=

  `mixed `[]=(int index, mixed value)`

Description

  Index assign operator. Set the value at the index index to be value

Parameter `index`

  The index to set

Parameter `value`

  The new value

Returns

  The new value at the index index

Throws

  An error if the index is out of range.